Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.tiles
Class NodeTile

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.map.client.Tile
                      com.maryanovsky.map.client.tiles.NodeTile

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

Direct Known Subclasses:
  ImagesNodeTile

    public abstract class NodeTile

extends Tile

A `Tile` implementation which uses a specified DOM `Node` as the tile. Subclasses are left with implementing tile readiness notification (invoking `Tile.markReady()`) which depends on the actual type of content in the tile. Note that you only need to invoke `Tile.markReady()`, not `Tile.markUnready()`.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`NodeTile(Node node, SizeView tileSize)` Creates a new `NodeTile` with the specified `Node` and normal tile size.

Method Summary
`void` | `cancelLoading()` If the tile is currently being loaded, cancels loading it.
`Node` | `getNode()` Returns the node.
`void` | `setTileSizePixels(SizeView size)` Sets the size of the tile, in pixels.
`void` | `startLoading()` Marks the tile as unready and starts loading it.

Methods inherited from class com.maryanovsky.map.client.Tile
`isReady, markReady, markUnready, setReadyListener`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeTile

    public NodeTile(Node node,
                    SizeView tileSize)

  Creates a new `NodeTile` with the specified `Node` and normal tile size.

Method Detail

### getNode

    public Node getNode()

  Returns the node.

### startLoading

    public void startLoading()

  Marks the tile as unready and starts loading it. When done, marks the tile as ready.

  Specified by:
    `startLoading` in class `Tile`

### cancelLoading

    public void cancelLoading()

  If the tile is currently being loaded, cancels loading it.

  Specified by:
    `cancelLoading` in class `Tile`

### setTileSizePixels

    public void setTileSizePixels(SizeView size)

  Sets the size of the tile, in pixels. This should stretch/compress the content of the tile to the specified size. A `null` value resets it to the default size, if applicable.

  Specified by:
    `setTileSizePixels` in class `Tile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD